blob: 5da9a7ff4eff2fbe5b388fad95dbbe98b560002a [file] [log] [blame]
Michael Lando451a3402017-02-19 10:28:42 +02001#!/bin/bash
2
Yuli Shlosberg0875ce02018-01-25 13:53:36 +02003CS_PASSWORD="onap123#@!"
4SDC_USER="asdc_user"
5SDC_PASSWORD="Aa1234%^!"
Yuli Shlosberg958c32d2018-02-15 12:04:46 +02006JETTY_BASE="/var/lib/jetty"
7BE_JAVA_OPTIONS="-Xdebug -agentlib:jdwp=transport=dt_socket,address=4000,server=y,suspend=n -Xmx2g -Xms2g"
8FE_JAVA_OPTIONS="-Xdebug -agentlib:jdwp=transport=dt_socket,address=6000,server=y,suspend=n -Xmx512m -Xms512m"
9
Michael Lando451a3402017-02-19 10:28:42 +020010
Grinberg Motic3bda482017-02-23 11:24:34 +020011function usage {
Idan Amitdb3d5542017-12-07 11:33:32 +020012 echo "usage: docker_run.sh [ -r|--release <RELEASE-NAME> ] [ -e|--environment <ENV-NAME> ] [ -p|--port <Docker-hub-port>] [ -l|--local <Run-without-pull>] [ -t|--runTests <Run-with-sanityDocker>] [ -h|--help ]"
Michael Lando451a3402017-02-19 10:28:42 +020013}
14
15
Grinberg Motic3bda482017-02-23 11:24:34 +020016function cleanup {
Idan Amitdb3d5542017-12-07 11:33:32 +020017 echo "performing old dockers cleanup"
Yuli Shlosberg958c32d2018-02-15 12:04:46 +020018
19 if [ "$1" == "all" ] ; then
20 docker_ids=`docker ps -a | egrep -v "openecomp/sdc-simulator" | egrep "ecomp-nexus:${PORT}/sdc|sdc|Exit" | awk '{print $1}'`
21 for X in ${docker_ids}
22 do
23 docker rm -f ${X}
24 done
25 else
26 echo "performing $1 docker cleanup"
27 tmp=`docker ps -a -q --filter="name=$1"`
28 if [[ ! -z "$tmp" ]]; then
29 docker rm -f ${tmp}
30 fi
31 fi
Grinberg Motic3bda482017-02-23 11:24:34 +020032}
33
34
35function dir_perms {
Yuli Shlosbergd1bb2e52018-01-15 11:51:21 +020036 mkdir -p ${WORKSPACE}/data/logs/BE/SDC/SDC-BE
37 mkdir -p ${WORKSPACE}/data/logs/FE/SDC/SDC-FE
38 chmod -R 777 ${WORKSPACE}/data/logs
Grinberg Motic3bda482017-02-23 11:24:34 +020039}
Yuli Shlosberg0875ce02018-01-25 13:53:36 +020040function probe_cs {
Grinberg Motic3bda482017-02-23 11:24:34 +020041
Yuli Shlosberg0875ce02018-01-25 13:53:36 +020042cs_stat=false
43docker exec -it $1 /var/lib/ready-probe.sh > /dev/null 2>&1
44rc=$?
45if [[ $rc == 0 ]]; then
46 echo DOCKER start finished in $2 seconds
47 cs_stat=true
48fi
49
50}
51
Yuli Shlosberg958c32d2018-02-15 12:04:46 +020052function probe_be {
53
54be_stat=false
55docker exec -it $1 /var/lib/ready-probe.sh > /dev/null 2>&1
56rc=$?
57if [[ $rc == 200 ]]; then
58 echo DOCKER start finished in $2 seconds
59 be_stat=true
60fi
61
62}
63
64function probe_fe {
65
66fe_stat=false
67docker exec -it $1 /var/lib/ready-probe.sh > /dev/null 2>&1
68rc=$?
69if [[ $rc == 200 ]]; then
70 echo DOCKER start finished in $2 seconds
71 fe_stat=true
72fi
73
74}
75
76function probe_es {
77
78es_stat=false
79health_Check_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
80if [[ "$health_Check_http_code" -eq 200 ]]
81 then
82 echo DOCKER start finished in $2 seconds
83 es_stat=true
84 fi
85
86}
87
Yuli Shlosberg0875ce02018-01-25 13:53:36 +020088function probe_docker {
89
90match_result=false
91MATCH=`docker logs --tail 30 $1 | grep "DOCKER STARTED"`
92echo MATCH is -- $MATCH
93
94if [ -n "$MATCH" ]; then
95 echo DOCKER start finished in $2 seconds
96 match_result=true
97fi
98}
Yuli Shlosberg5571a862017-10-03 18:18:51 +030099function monitor_docker {
100
Idan Amitdb3d5542017-12-07 11:33:32 +0200101 echo monitor $1 Docker
102 sleep 5
103 TIME_OUT=900
104 INTERVAL=20
105 TIME=0
106 while [ "$TIME" -lt "$TIME_OUT" ]; do
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200107 if [ "$1" == "sdc-cs" ]; then
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200108 probe_cs $1 $TIME
109 if [[ $cs_stat == true ]]; then break; fi
110 elif [ "$1" == "sdc-es" ]; then
111 probe_es $1 $TIME
112 if [[ $es_stat == true ]]; then break; fi
113 elif [ "$1" == "sdc-BE" ]; then
114 probe_be $1 $TIME
115 if [[ $be_stat == true ]]; then break; fi
116 elif [ "$1" == "sdc-FE" ]; then
117 probe_fe $1 $TIME
118 if [[ $fe_stat == true ]]; then break; fi
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200119 else
120 probe_docker $1 $TIME
121 if [[ $match_result == true ]]; then break; fi
Idan Amitdb3d5542017-12-07 11:33:32 +0200122 fi
Idan Amitdb3d5542017-12-07 11:33:32 +0200123 echo Sleep: $INTERVAL seconds before testing if $1 DOCKER is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
124 sleep $INTERVAL
125 TIME=$(($TIME+$INTERVAL))
126 done
Yuli Shlosberg5571a862017-10-03 18:18:51 +0300127
Idan Amitdb3d5542017-12-07 11:33:32 +0200128 if [ "$TIME" -ge "$TIME_OUT" ]; then
129 echo -e "\e[1;31mTIME OUT: DOCKER was NOT fully started in $TIME_OUT seconds... Could cause problems ...\e[0m"
130 fi
Yuli Shlosberg5571a862017-10-03 18:18:51 +0300131
132}
133
Yuli Shlosbergd1bb2e52018-01-15 11:51:21 +0200134function healthCheck {
135 curl localhost:9200/_cluster/health?pretty=true
136
137 echo "BE health-Check:"
138 curl http://localhost:8080/sdc2/rest/healthCheck
139
140 echo ""
141 echo ""
142 echo "FE health-Check:"
143 curl http://localhost:8181/sdc1/rest/healthCheck
144
145
146 echo ""
147 echo ""
Tal Gitelmanf1927592018-01-29 17:24:56 +0200148 healthCheck_http_code=$(curl -o /dev/null -w '%{http_code}' -H "Accept: application/json" -H "Content-Type: application/json" -H "USER_ID: jh0003" http://localhost:8080/sdc2/rest/v1/user/demo;)
Yuli Shlosbergd1bb2e52018-01-15 11:51:21 +0200149 if [[ ${healthCheck_http_code} != 200 ]]
150 then
151 echo "Error [${healthCheck_http_code}] while user existance check"
152 return ${healthCheck_http_code}
153 fi
154 echo "check user existance: OK"
155 return ${healthCheck_http_code}
156}
157
Tal Gitelmanf1927592018-01-29 17:24:56 +0200158function elasticHealthCheck {
159 echo "Elastic Health-Check:"
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200160
Tal Gitelmanf1927592018-01-29 17:24:56 +0200161 COUNTER=0
162 while [ $COUNTER -lt 20 ]; do
163 echo "Waiting ES docker to start"
164 health_Check_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
165 if [[ "$health_Check_http_code" -eq 200 ]]
166 then
167 break
168 fi
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200169 let COUNTER=COUNTER+1
Tal Gitelmanf1927592018-01-29 17:24:56 +0200170 sleep 4
171 done
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200172
Tal Gitelmanf1927592018-01-29 17:24:56 +0200173 healthCheck_http_code=$(curl -o /dev/null -w '%{http_code}' http://localhost:9200/_cluster/health?wait_for_status=yellow&timeout=120s)
174 if [[ "$health_Check_http_code" != 200 ]]
175 then
176 echo "Error [${healthCheck_http_code}] ES NOT started correctly"
177 exit ${healthCheck_http_code}
178 fi
179 echo "ES started correctly"
180 curl localhost:9200/_cluster/health?pretty=true
181 return ${healthCheck_http_code}
182}
183
Grinberg Moti97246212017-02-21 19:30:31 +0200184RELEASE=latest
Idan Amitc7f57ec2017-08-31 14:26:21 +0300185LOCAL=false
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200186RUNTESTS=false
Tal Gitelman8e5fc512017-10-23 13:49:06 +0300187DEBUG_PORT="--publish 4000:4000"
Tal Gitelmane224d0b2017-10-17 15:24:25 +0300188
Idan Amitdb3d5542017-12-07 11:33:32 +0200189while [ $# -gt 0 ]; do
Michael Lando451a3402017-02-19 10:28:42 +0200190 case $1 in
Idan Amitdb3d5542017-12-07 11:33:32 +0200191 # -r | --release - The specific docker version to pull and deploy
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200192 -r | --release )
193 shift 1 ;
194 RELEASE=$1;
195 shift 1;;
Idan Amitdb3d5542017-12-07 11:33:32 +0200196 # -e | --environment - The environment name you want to deploy
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200197 -e | --environment )
198 shift 1;
199 DEP_ENV=$1;
200 shift 1 ;;
Idan Amitdb3d5542017-12-07 11:33:32 +0200201 # -p | --port - The port from which to connect to the docker nexus
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200202 -p | --port )
203 shift 1 ;
204 PORT=$1;
205 shift 1 ;;
Idan Amitdb3d5542017-12-07 11:33:32 +0200206 # -l | --local - Use this for deploying your local dockers without pulling them first
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200207 -l | --local )
208 LOCAL=true;
209 shift 1;;
Idan Amitdb3d5542017-12-07 11:33:32 +0200210 # -t | --runTests - Use this for running the sanity tests docker after all other dockers have been deployed
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200211 -t | --runTests )
212 RUNTESTS=true;
213 shift 1 ;;
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200214 # -d | --docker - The init specified docker
215 -d | --docker )
216 shift 1 ;
217 DOCKER=$1;
218 shift 1 ;;
Idan Amitdb3d5542017-12-07 11:33:32 +0200219 # -h | --help - Display the help message with all the available run options
Yuli Shlosberg0566f582017-11-26 19:05:23 +0200220 -h | --help )
221 usage;
222 exit 0;;
223 * )
224 usage;
225 exit 1;;
Michael Lando451a3402017-02-19 10:28:42 +0200226 esac
Michael Lando451a3402017-02-19 10:28:42 +0200227done
228
Yuli Shlosberg3301bec2017-11-08 15:31:27 +0200229
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200230[ -f /opt/config/env_name.txt ] && DEP_ENV=$(cat /opt/config/env_name.txt) || echo ${DEP_ENV}
Yuli Shlosberg316bb252017-11-14 11:47:17 +0200231[ -f /opt/config/nexus_username.txt ] && NEXUS_USERNAME=$(cat /opt/config/nexus_username.txt) || NEXUS_USERNAME=release
232[ -f /opt/config/nexus_password.txt ] && NEXUS_PASSWD=$(cat /opt/config/nexus_password.txt) || NEXUS_PASSWD=sfWU3DFVdBr7GVxB85mTYgAW
233[ -f /opt/config/nexus_docker_repo.txt ] && NEXUS_DOCKER_REPO=$(cat /opt/config/nexus_docker_repo.txt) || NEXUS_DOCKER_REPO=nexus3.onap.org:${PORT}
Michael Lando451a3402017-02-19 10:28:42 +0200234[ -f /opt/config/nexus_username.txt ] && docker login -u $NEXUS_USERNAME -p $NEXUS_PASSWD $NEXUS_DOCKER_REPO
235
Yuli Shlosbergd1bb2e52018-01-15 11:51:21 +0200236export IP=`ip route get 8.8.8.8 | awk '/src/{ print $7 }'`
Idan Amitdb3d5542017-12-07 11:33:32 +0200237export PREFIX=${NEXUS_DOCKER_REPO}'/onap'
Idan Amitc7f57ec2017-08-31 14:26:21 +0300238
239if [ ${LOCAL} = true ]; then
Idan Amitdb3d5542017-12-07 11:33:32 +0200240 PREFIX='onap'
Idan Amitc7f57ec2017-08-31 14:26:21 +0300241fi
Michael Lando451a3402017-02-19 10:28:42 +0200242
243echo ""
244
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200245
246
247function sdc-es {
248
Michael Lando451a3402017-02-19 10:28:42 +0200249# Elastic-Search
250echo "docker run sdc-elasticsearch..."
Idan Amitc7f57ec2017-08-31 14:26:21 +0300251if [ ${LOCAL} = false ]; then
252 echo "pulling code"
253 docker pull ${PREFIX}/sdc-elasticsearch:${RELEASE}
254fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200255docker run -dit --name sdc-es --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --env ES_JAVA_OPTS="-Xms512m -Xmx512m" --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --env ES_HEAP_SIZE=1024M --volume ${WORKSPACE}/data/ES:/usr/share/elasticsearch/data --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9200:9200 --publish 9300:9300 ${PREFIX}/sdc-elasticsearch:${RELEASE} /bin/sh
Tal Gitelmanf1927592018-01-29 17:24:56 +0200256
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200257echo "please wait while ES is starting..."
258monitor_docker sdc-es
259}
Yuli Shlosberg137cf5c2018-01-15 17:32:30 +0200260
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200261function sdc-init-es {
Tal Gitelman38211c82018-01-24 17:59:53 +0200262# Init-Elastic-Search
263echo "docker run sdc-init-elasticsearch..."
264if [ ${LOCAL} = false ]; then
265 echo "pulling code"
266 docker pull ${PREFIX}/sdc-init-elasticsearch:${RELEASE}
267fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200268docker run --name sdc-init-es --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments ${PREFIX}/sdc-init-elasticsearch:${RELEASE} > /dev/null 2>&1
269rc=$?
270if [[ $rc != 0 ]]; then exit $rc; fi
Tal Gitelmanf1927592018-01-29 17:24:56 +0200271
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200272}
Idan Amitc7f57ec2017-08-31 14:26:21 +0300273
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200274function sdc-cs {
Tal Gitelman38211c82018-01-24 17:59:53 +0200275# Cassandra
Idan Amitc7f57ec2017-08-31 14:26:21 +0300276echo "docker run sdc-cassandra..."
277if [ ${LOCAL} = false ]; then
278 docker pull ${PREFIX}/sdc-cassandra:${RELEASE}
279fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200280docker run -dit --name sdc-cs --env RELEASE="${RELEASE}" --env CS_PASSWORD="${CS_PASSWORD}" --env ENVNAME="${DEP_ENV}" --env HOST_IP=${IP} --env MAX_HEAP_SIZE="2024M" --env HEAP_NEWSIZE="512M" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/CS:/var/lib/cassandra --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9042:9042 --publish 9160:9160 ${PREFIX}/sdc-cassandra:${RELEASE} /bin/sh
Yuli Shlosberg137cf5c2018-01-15 17:32:30 +0200281
Michael Lando451a3402017-02-19 10:28:42 +0200282
283echo "please wait while CS is starting..."
Yuli Shlosberg5571a862017-10-03 18:18:51 +0300284monitor_docker sdc-cs
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200285}
Michael Lando451a3402017-02-19 10:28:42 +0200286
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200287function sdc-cs-init {
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200288# cassandra-init
289echo "docker run sdc-cassandra-init..."
290if [ ${LOCAL} = false ]; then
291 docker pull ${PREFIX}/sdc-cassandra-init:${RELEASE}
292fi
293docker run --name sdc-cs-init --env RELEASE="${RELEASE}" --env SDC_USER="${SDC_USER}" --env SDC_PASSWORD="${SDC_PASSWORD}" --env CS_PASSWORD="${CS_PASSWORD}" --env ENVNAME="${DEP_ENV}" --env HOST_IP=${IP} --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/CS:/var/lib/cassandra --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --volume ${WORKSPACE}/data/CS-Init:/root/chef-solo/cache ${PREFIX}/sdc-cassandra-init:${RELEASE} > /dev/null 2>&1
294rc=$?
295if [[ $rc != 0 ]]; then exit $rc; fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200296}
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200297
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200298function sdc-kbn {
Michael Lando451a3402017-02-19 10:28:42 +0200299# kibana
300echo "docker run sdc-kibana..."
Idan Amitc7f57ec2017-08-31 14:26:21 +0300301if [ ${LOCAL} = false ]; then
302 docker pull ${PREFIX}/sdc-kibana:${RELEASE}
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200303docker run --detach --name sdc-kbn --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 5601:5601 ${PREFIX}/sdc-kibana:${RELEASE}
Idan Amitc7f57ec2017-08-31 14:26:21 +0300304fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200305
306}
Yuli Shlosberg137cf5c2018-01-15 17:32:30 +0200307
308
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200309function sdc-BE {
Michael Lando451a3402017-02-19 10:28:42 +0200310
Grinberg Motic3bda482017-02-23 11:24:34 +0200311dir_perms
Michael Lando451a3402017-02-19 10:28:42 +0200312# Back-End
313echo "docker run sdc-backend..."
Idan Amitc7f57ec2017-08-31 14:26:21 +0300314if [ ${LOCAL} = false ]; then
315 docker pull ${PREFIX}/sdc-backend:${RELEASE}
Tal Gitelmane224d0b2017-10-17 15:24:25 +0300316else
Tal Gitelman8e5fc512017-10-23 13:49:06 +0300317 ADDITIONAL_ARGUMENTS=${DEBUG_PORT}
Idan Amitc7f57ec2017-08-31 14:26:21 +0300318fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200319docker run --detach --name sdc-BE --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --env JAVA_OPTIONS="${BE_JAVA_OPTIONS}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/BE/:/var/lib/jetty/logs --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 8443:8443 --publish 8080:8080 ${ADDITIONAL_ARGUMENTS} ${PREFIX}/sdc-backend:${RELEASE}
Michael Lando451a3402017-02-19 10:28:42 +0200320
321echo "please wait while BE is starting..."
Yuli Shlosberg5571a862017-10-03 18:18:51 +0300322monitor_docker sdc-BE
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200323}
Michael Lando451a3402017-02-19 10:28:42 +0200324
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200325function sdc-BE-init {
Michael Lando451a3402017-02-19 10:28:42 +0200326
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200327dir_perms
328# Back-End-Init
329echo "docker run sdc-backend-init..."
330if [ ${LOCAL} = false ]; then
331 docker pull ${PREFIX}/sdc-backend-init:${RELEASE}
332fi
333docker run --name sdc-BE-init --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/BE/:/var/lib/jetty/logs --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments ${PREFIX}/sdc-backend-init:${RELEASE} > /dev/null 2>&1
334rc=$?
335if [[ $rc != 0 ]]; then exit $rc; fi
336}
337
338function sdc-FE {
339dir_perms
Michael Lando451a3402017-02-19 10:28:42 +0200340# Front-End
341echo "docker run sdc-frontend..."
Idan Amitc7f57ec2017-08-31 14:26:21 +0300342if [ ${LOCAL} = false ]; then
343 docker pull ${PREFIX}/sdc-frontend:${RELEASE}
344fi
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200345docker run --detach --name sdc-FE --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --env JAVA_OPTIONS="${FE_JAVA_OPTIONS}" --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/FE/:/var/lib/jetty/logs --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9443:9443 --publish 8181:8181 ${PREFIX}/sdc-frontend:${RELEASE}
Yuli Shlosberg137cf5c2018-01-15 17:32:30 +0200346
347echo "please wait while FE is starting....."
Yuli Shlosberg5571a862017-10-03 18:18:51 +0300348monitor_docker sdc-FE
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200349}
Michael Lando451a3402017-02-19 10:28:42 +0200350
ml636r0649e652017-02-20 21:10:54 +0200351
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200352
353function sdc-sanity {
Yuli Shlosberg9dde9262017-09-12 14:11:48 +0300354# sanityDocker
Yuli Shlosbergd1bb2e52018-01-15 11:51:21 +0200355if [[ (${RUNTESTS} = true) && (${healthCheck_http_code} == 200) ]]; then
Idan Amitdb3d5542017-12-07 11:33:32 +0200356 echo "docker run sdc-sanity..."
357 echo "Triger sanity docker, please wait..."
Yuli Shlosberg0875ce02018-01-25 13:53:36 +0200358
Yuli Shlosberg9dde9262017-09-12 14:11:48 +0300359 if [ ${LOCAL} = false ]; then
Idan Amitdb3d5542017-12-07 11:33:32 +0200360 docker pull ${PREFIX}/sdc-sanity:${RELEASE}
Yuli Shlosberg9dde9262017-09-12 14:11:48 +0300361 fi
Yuli Shlosberg316bb252017-11-14 11:47:17 +0200362
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200363docker run --detach --name sdc-sanity --env HOST_IP=${IP} --env ENVNAME="${DEP_ENV}" --env http_proxy=${http_proxy} --env https_proxy=${https_proxy} --env no_proxy=${no_proxy} --log-driver=json-file --log-opt max-size=100m --log-opt max-file=10 --ulimit memlock=-1:-1 --ulimit nofile=4096:100000 --volume /etc/localtime:/etc/localtime:ro --volume ${WORKSPACE}/data/logs/sdc-sanity/target:/var/lib/tests/target --volume ${WORKSPACE}/data/logs/sdc-sanity/ExtentReport:/var/lib/tests/ExtentReport --volume ${WORKSPACE}/data/logs/sdc-sanity/outputCsar:/var/lib/tests/outputCsar --volume ${WORKSPACE}/data/environments:/root/chef-solo/environments --publish 9560:9560 ${PREFIX}/sdc-sanity:${RELEASE}
Yuli Shlosberg137cf5c2018-01-15 17:32:30 +0200364echo "please wait while SANITY is starting....."
Yuli Shlosbergd1bb2e52018-01-15 11:51:21 +0200365monitor_docker sdc-sanity
Yuli Shlosberg137cf5c2018-01-15 17:32:30 +0200366
Yuli Shlosberg958c32d2018-02-15 12:04:46 +0200367fi
368}
369
370if [ -z "${DOCKER}" ]; then
371 cleanup all
372 sdc-es
373 sdc-init-es
374 sdc-cs
375 sdc-cs-init
376 sdc-kbn
377 sdc-BE
378 sdc-BE-init
379 sdc-FE
380else
381 cleanup ${DOCKER}
382 ${DOCKER}
383fi
384
385# healthCheck
386healthCheck